Subject: Re: git push from client is not updating files on server

From: Neal Kreitzinger <[email-masked]>
Date: Tue, 06 Mar 2012 15:12:38 -0600

On 3/6/2012 10:52 AM, Jerome Yanga wrote:
> My main objective is to create a central public Git server.  I had
> followed the instructions in the URL below to make it public.
>
> http://book.git-scm.com/4_setting_up_a_public_repository.html
>
> From the git client server, I can successfully clone projects in
> from the central public Git server using the command below.
>
> git clone
> http://<hostname_of_central_public_git_server>/<Project_name>.git
>
> My push seems to be successful too using the command below as I get
> the message "Everything up-to-date".
>
> git push
>
> However, when I log into the central public Git server and look at
> the files in the project, none of them have change.  I can only see
> the changes from the client via Gitweb.
>
Gitweb and gitk know how to look at .git (bare) repo and display the 
contents.  (I use gitk to verify that a push did what I wanted.)  There 
is no work-tree for a .git repo to do linux "ls" on.  If you really want 
to use commandline you would have to use git commands like git-show, 
git-ls-files, git-cat-file, git-log, etc., to display and interrogate 
the contents of git objects (tags, commits, trees, blobs) in a .git repo.

I suspect reviewing it in gitweb is sufficient to verify that the push 
did what you wanted.  (I don't use gitwet, yet.)

v/r,
neal